Run in Apidog
Early access - contact your account manager to enable card issuing for your platform.Returns a card transaction by the identifier received in a webhook or from the transaction list. Returns 404 Not Found if the transaction does not exist or belongs to another integrator. Request Add the parameter Authorization
to Headers Example: Authorization: ********************
or
Request Code Samples
curl --location 'https://my.test-1.account.finlego.com/api/child-brand-integration/baas/CardTransactions/' \
--header 'Authorization: Bearer <token>' Responses
{
"id" : "7b3c9d1e-5f6a-4b8c-9d0e-1f2a3b4c5d6e" ,
"cardId" : "f16ba382-eb42-481a-b08f-c57bdc9aae24" ,
"clientId" : "5e505642-9024-474d-9434-e5a44f505cc5" ,
"accountId" : "3d07c219-0a88-45be-9cfc-91e9d095a1e9" ,
"state" : "authorized" ,
"amount" : 42.9 ,
"currency" : "USD" ,
"localAmount" : 39.5 ,
"localCurrency" : "EUR" ,
"merchant" : {
"name" : "Figma Inc." ,
"categoryCode" : "5734" ,
"category" : "Computer Software Stores" ,
"city" : "San Francisco" ,
"country" : "US"
} ,
"authorizedAt" : "2026-09-29T12:31:08Z" ,
"completedAt" : null
}
Modified at 2026-09-29 11:12:37